Summary:            Syslog to iptables dynamic firewall
Name:               @PACKAGE@
Version:            @VERSION@
Release:            %{?custom_release}%{!?custom_release:1}
Copyright:          GPL
Group:              System Environment/Daemons
Source:             http://www.five-ten-sg.com/util/@PACKAGE@-@VERSION@.tar.gz
BuildRoot:          %{_tmppath}/%{name}-%{version}-buildroot
URL:                http://www.five-ten-sg.com/@PACKAGE@
Vendor:             510 Software Group
Packager:           510 Software Group
Requires(post,preun):   /sbin/chkconfig /sbin/service
Requires:               iptables
Requires:               coreutils
BuildRequires:          gcc gcc-c++


%description
@PACKAGE@ reads a configuration file /etc/@PACKAGE@.conf that defines a collection of syslog files to be parsed for ip addresses to be added to the iptables INPUT chain with DROP rules.

This package cannot co-exist with any other daemon that tries to maintain the INPUT chain, since it periodically flushes and recreates the INPUT chain.


%prep


%setup


%build
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
make


%install
if [ "$RPM_BUILD_ROOT" = "/" -o -z "$RPM_BUILD_ROOT" ] ; then
        echo sorry, you probably do not want me to delete the old buildroot at $RPM_BUILD_ROOT
        exit 1
fi
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/syslog2iptables  $RPM_BUILD_ROOT/etc/rc.d/init.d


%clean
rm -rf $RPM_BUILD_ROOT


%pre


%post
/sbin/chkconfig --add @PACKAGE@
/sbin/chkconfig @PACKAGE@ on
/sbin/service @PACKAGE@ start || :


%preun
/sbin/service @PACKAGE@ stop || :
/sbin/chkconfig --del @PACKAGE@


%postun


%files
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr(-,root,root)
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/@PACKAGE@.conf
/etc/rc.d/init.d/@PACKAGE@


%changelog
* Thu Dec 08 2005 Carl Byington 1.0
- initial revision based on dnsbl spec file
- and http://www.fedora.us/docs/rpm-packaging-guidelines.html
